package com.brilliance.isc.model.fec;

import java.util.Date;

/**
 * (Fec)实体类
 *
 * @author makejava
 * @since 2022-11-09 14:12:58
 */
public class Fec extends Fee {
    
    private String inr;
    
    private String feeinr;
    
    private String feepri;

    private String objtyp;
    
    private String objinr;
    
    private Date begdat;
    
    private Date enddat;
    
    private String calcbs;
    
    private String calfcc;
    
    private String lowamt;
    
    private String higamt;
    
    private String maxcur;
    
    private String maxamt;
    
    private String maxfcc;
    
    private String mincur;
    
    private String minamt;
    
    private String minamttot;
    
    private String amtsetall;
    
    private String minfcc;
    
    private String untamt;
    
    private String ratcal;
    
    private String ratcur;
    
    private String ratfcc;
    
    private String ratirs;
    
    private String ratirsinc;
    
    private String setmod;
    
    private String setbeg;
    
    private String setend;
    
    private String pertyp;
    
    private String tirtyp;
    
    private String permin;
    
    private String perbegtr2;
    
    private String perrattr2;
    
    private String permintr2;
    
    private String perbegtr3;
    
    private String perrattr3;
    
    private String permintr3;
    
    private String perbegtr4;
    
    private String perrattr4;
    
    private String permintr4;
    
    private String perbegtr5;
    
    private String perrattr5;
    
    private String permintr5;
    
    private String perbegtr6;
    
    private String perrattr6;
    
    private String permintr6;
    
    private String perbegtr7;
    
    private String perrattr7;
    
    private String permintr7;
    
    private String amtbegtr2;
    
    private String amtrattr2;
    
    private String amtbegtr3;
    
    private String amtrattr3;
    
    private String amtbegtr4;
    
    private String amtrattr4;
    
    private String ver;
    
    private String colltr;
    
    private String settyp;
    
    private String setflg;
    
    private String setperflg;
    
    private String setchgflg;
    
    private String pertypprv;
    
    private String minpercnt;
    
    private String maxpercnt;
    
    private String maxpercov;
    
    private String basamt;
    
    private String permaxtr2;
    
    private String permaxtr3;
    
    private String permaxtr4;
    
    private String permaxtr5;
    
    private String permaxtr6;
    
    private String permaxtr7;
    
    private String clcdifflg;
    
    private String etgextkey;
    
    private String calrul;
    
    private String amtflg;

    public String getInr() {
        return inr;
    }

    public void setInr(String inr) {
        this.inr = inr;
    }

    public String getFeeinr() {
        return feeinr;
    }

    public void setFeeinr(String feeinr) {
        this.feeinr = feeinr;
    }

    public String getFeepri() {
        return feepri;
    }

    public void setFeepri(String feepri) {
        this.feepri = feepri;
    }

    public String getObjtyp() {
        return objtyp;
    }

    public void setObjtyp(String objtyp) {
        this.objtyp = objtyp;
    }

    public String getObjinr() {
        return objinr;
    }

    public void setObjinr(String objinr) {
        this.objinr = objinr;
    }

    public Date getBegdat() {
        return begdat;
    }

    public void setBegdat(Date begdat) {
        this.begdat = begdat;
    }

    public Date getEnddat() {
        return enddat;
    }

    public void setEnddat(Date enddat) {
        this.enddat = enddat;
    }

    public String getCalcbs() {
        return calcbs;
    }

    public void setCalcbs(String calcbs) {
        this.calcbs = calcbs;
    }

    public String getCalfcc() {
        return calfcc;
    }

    public void setCalfcc(String calfcc) {
        this.calfcc = calfcc;
    }

    public String getLowamt() {
        return lowamt;
    }

    public void setLowamt(String lowamt) {
        this.lowamt = lowamt;
    }

    public String getHigamt() {
        return higamt;
    }

    public void setHigamt(String higamt) {
        this.higamt = higamt;
    }

    public String getMaxcur() {
        return maxcur;
    }

    public void setMaxcur(String maxcur) {
        this.maxcur = maxcur;
    }

    public String getMaxamt() {
        return maxamt;
    }

    public void setMaxamt(String maxamt) {
        this.maxamt = maxamt;
    }

    public String getMaxfcc() {
        return maxfcc;
    }

    public void setMaxfcc(String maxfcc) {
        this.maxfcc = maxfcc;
    }

    public String getMincur() {
        return mincur;
    }

    public void setMincur(String mincur) {
        this.mincur = mincur;
    }

    public String getMinamt() {
        return minamt;
    }

    public void setMinamt(String minamt) {
        this.minamt = minamt;
    }

    public String getMinamttot() {
        return minamttot;
    }

    public void setMinamttot(String minamttot) {
        this.minamttot = minamttot;
    }

    public String getAmtsetall() {
        return amtsetall;
    }

    public void setAmtsetall(String amtsetall) {
        this.amtsetall = amtsetall;
    }

    public String getMinfcc() {
        return minfcc;
    }

    public void setMinfcc(String minfcc) {
        this.minfcc = minfcc;
    }

    public String getUntamt() {
        return untamt;
    }

    public void setUntamt(String untamt) {
        this.untamt = untamt;
    }

    public String getRatcal() {
        return ratcal;
    }

    public void setRatcal(String ratcal) {
        this.ratcal = ratcal;
    }

    public String getRatcur() {
        return ratcur;
    }

    public void setRatcur(String ratcur) {
        this.ratcur = ratcur;
    }

    public String getRatfcc() {
        return ratfcc;
    }

    public void setRatfcc(String ratfcc) {
        this.ratfcc = ratfcc;
    }

    public String getRatirs() {
        return ratirs;
    }

    public void setRatirs(String ratirs) {
        this.ratirs = ratirs;
    }

    public String getRatirsinc() {
        return ratirsinc;
    }

    public void setRatirsinc(String ratirsinc) {
        this.ratirsinc = ratirsinc;
    }

    public String getSetmod() {
        return setmod;
    }

    public void setSetmod(String setmod) {
        this.setmod = setmod;
    }

    public String getSetbeg() {
        return setbeg;
    }

    public void setSetbeg(String setbeg) {
        this.setbeg = setbeg;
    }

    public String getSetend() {
        return setend;
    }

    public void setSetend(String setend) {
        this.setend = setend;
    }

    public String getPertyp() {
        return pertyp;
    }

    public void setPertyp(String pertyp) {
        this.pertyp = pertyp;
    }

    public String getTirtyp() {
        return tirtyp;
    }

    public void setTirtyp(String tirtyp) {
        this.tirtyp = tirtyp;
    }

    public String getPermin() {
        return permin;
    }

    public void setPermin(String permin) {
        this.permin = permin;
    }

    public String getPerbegtr2() {
        return perbegtr2;
    }

    public void setPerbegtr2(String perbegtr2) {
        this.perbegtr2 = perbegtr2;
    }

    public String getPerrattr2() {
        return perrattr2;
    }

    public void setPerrattr2(String perrattr2) {
        this.perrattr2 = perrattr2;
    }

    public String getPermintr2() {
        return permintr2;
    }

    public void setPermintr2(String permintr2) {
        this.permintr2 = permintr2;
    }

    public String getPerbegtr3() {
        return perbegtr3;
    }

    public void setPerbegtr3(String perbegtr3) {
        this.perbegtr3 = perbegtr3;
    }

    public String getPerrattr3() {
        return perrattr3;
    }

    public void setPerrattr3(String perrattr3) {
        this.perrattr3 = perrattr3;
    }

    public String getPermintr3() {
        return permintr3;
    }

    public void setPermintr3(String permintr3) {
        this.permintr3 = permintr3;
    }

    public String getPerbegtr4() {
        return perbegtr4;
    }

    public void setPerbegtr4(String perbegtr4) {
        this.perbegtr4 = perbegtr4;
    }

    public String getPerrattr4() {
        return perrattr4;
    }

    public void setPerrattr4(String perrattr4) {
        this.perrattr4 = perrattr4;
    }

    public String getPermintr4() {
        return permintr4;
    }

    public void setPermintr4(String permintr4) {
        this.permintr4 = permintr4;
    }

    public String getPerbegtr5() {
        return perbegtr5;
    }

    public void setPerbegtr5(String perbegtr5) {
        this.perbegtr5 = perbegtr5;
    }

    public String getPerrattr5() {
        return perrattr5;
    }

    public void setPerrattr5(String perrattr5) {
        this.perrattr5 = perrattr5;
    }

    public String getPermintr5() {
        return permintr5;
    }

    public void setPermintr5(String permintr5) {
        this.permintr5 = permintr5;
    }

    public String getPerbegtr6() {
        return perbegtr6;
    }

    public void setPerbegtr6(String perbegtr6) {
        this.perbegtr6 = perbegtr6;
    }

    public String getPerrattr6() {
        return perrattr6;
    }

    public void setPerrattr6(String perrattr6) {
        this.perrattr6 = perrattr6;
    }

    public String getPermintr6() {
        return permintr6;
    }

    public void setPermintr6(String permintr6) {
        this.permintr6 = permintr6;
    }

    public String getPerbegtr7() {
        return perbegtr7;
    }

    public void setPerbegtr7(String perbegtr7) {
        this.perbegtr7 = perbegtr7;
    }

    public String getPerrattr7() {
        return perrattr7;
    }

    public void setPerrattr7(String perrattr7) {
        this.perrattr7 = perrattr7;
    }

    public String getPermintr7() {
        return permintr7;
    }

    public void setPermintr7(String permintr7) {
        this.permintr7 = permintr7;
    }

    public String getAmtbegtr2() {
        return amtbegtr2;
    }

    public void setAmtbegtr2(String amtbegtr2) {
        this.amtbegtr2 = amtbegtr2;
    }

    public String getAmtrattr2() {
        return amtrattr2;
    }

    public void setAmtrattr2(String amtrattr2) {
        this.amtrattr2 = amtrattr2;
    }

    public String getAmtbegtr3() {
        return amtbegtr3;
    }

    public void setAmtbegtr3(String amtbegtr3) {
        this.amtbegtr3 = amtbegtr3;
    }

    public String getAmtrattr3() {
        return amtrattr3;
    }

    public void setAmtrattr3(String amtrattr3) {
        this.amtrattr3 = amtrattr3;
    }

    public String getAmtbegtr4() {
        return amtbegtr4;
    }

    public void setAmtbegtr4(String amtbegtr4) {
        this.amtbegtr4 = amtbegtr4;
    }

    public String getAmtrattr4() {
        return amtrattr4;
    }

    public void setAmtrattr4(String amtrattr4) {
        this.amtrattr4 = amtrattr4;
    }

    public String getVer() {
        return ver;
    }

    public void setVer(String ver) {
        this.ver = ver;
    }

    public String getColltr() {
        return colltr;
    }

    public void setColltr(String colltr) {
        this.colltr = colltr;
    }

    public String getSettyp() {
        return settyp;
    }

    public void setSettyp(String settyp) {
        this.settyp = settyp;
    }

    public String getSetflg() {
        return setflg;
    }

    public void setSetflg(String setflg) {
        this.setflg = setflg;
    }

    public String getSetperflg() {
        return setperflg;
    }

    public void setSetperflg(String setperflg) {
        this.setperflg = setperflg;
    }

    public String getSetchgflg() {
        return setchgflg;
    }

    public void setSetchgflg(String setchgflg) {
        this.setchgflg = setchgflg;
    }

    public String getPertypprv() {
        return pertypprv;
    }

    public void setPertypprv(String pertypprv) {
        this.pertypprv = pertypprv;
    }

    public String getMinpercnt() {
        return minpercnt;
    }

    public void setMinpercnt(String minpercnt) {
        this.minpercnt = minpercnt;
    }

    public String getMaxpercnt() {
        return maxpercnt;
    }

    public void setMaxpercnt(String maxpercnt) {
        this.maxpercnt = maxpercnt;
    }

    public String getMaxpercov() {
        return maxpercov;
    }

    public void setMaxpercov(String maxpercov) {
        this.maxpercov = maxpercov;
    }

    public String getBasamt() {
        return basamt;
    }

    public void setBasamt(String basamt) {
        this.basamt = basamt;
    }

    public String getPermaxtr2() {
        return permaxtr2;
    }

    public void setPermaxtr2(String permaxtr2) {
        this.permaxtr2 = permaxtr2;
    }

    public String getPermaxtr3() {
        return permaxtr3;
    }

    public void setPermaxtr3(String permaxtr3) {
        this.permaxtr3 = permaxtr3;
    }

    public String getPermaxtr4() {
        return permaxtr4;
    }

    public void setPermaxtr4(String permaxtr4) {
        this.permaxtr4 = permaxtr4;
    }

    public String getPermaxtr5() {
        return permaxtr5;
    }

    public void setPermaxtr5(String permaxtr5) {
        this.permaxtr5 = permaxtr5;
    }

    public String getPermaxtr6() {
        return permaxtr6;
    }

    public void setPermaxtr6(String permaxtr6) {
        this.permaxtr6 = permaxtr6;
    }

    public String getPermaxtr7() {
        return permaxtr7;
    }

    public void setPermaxtr7(String permaxtr7) {
        this.permaxtr7 = permaxtr7;
    }

    public String getClcdifflg() {
        return clcdifflg;
    }

    public void setClcdifflg(String clcdifflg) {
        this.clcdifflg = clcdifflg;
    }

    public String getEtgextkey() {
        return etgextkey;
    }

    public void setEtgextkey(String etgextkey) {
        this.etgextkey = etgextkey;
    }

    public String getCalrul() {
        return calrul;
    }

    public void setCalrul(String calrul) {
        this.calrul = calrul;
    }

    public String getAmtflg() {
        return amtflg;
    }

    public void setAmtflg(String amtflg) {
        this.amtflg = amtflg;
    };

}

